octonet - Segnalazione #199

eccezione su root url
02/28/2017 01:23 PM - Christopher R. Gabriel

Status: Chiuso Start date: 02/28/2017
Priority: Normale Due date:

Assignee: Marco Marinello % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
Marco Marinello segnala questo in #197:

Environment:

Request Method: GET
Request URL: http://XXX.XXX.XXX.XXX:13402/

Django Version: 1.8.16
Python Version: 3.4.2
Installed Applications:
['django.contrib.sessions',
'django.contrib.messages’,
'whitenoise.runserver_nostatic',
'django.contrib.staticfiles',
'octonet',
'hostqueue.apps.HostQueue',
'firewall.apps.Firewall',
'dhcp.apps.Dhcp',
'dansguardian.apps.DansGuardian',
'host .apps.Host',
'polygen.apps.Polygen',
'upgrade.apps.Upgrade',
'asterisk.apps.Asterisk',
'samba.apps.Samba',
'users.apps.Users',
'script.apps.Script’',
'quota.apps.Quota',
'printers.apps.Printers’',
'auth.apps.Auth']
Installed Middleware:
['django.middleware.security.SecurityMiddleware',
'whitenoise.middleware.WhiteNoiseMiddleware',
'django.contrib.sessions.middleware.SessionMiddleware',
'django.middleware.common.CommonMiddleware',
'django.middleware.csrf.CsrfViewMiddleware',
'django.middleware.locale.LocaleMiddleware',
'octonet.middleware.AuthenticationMiddleware',
'django.contrib.messages.middleware.MessageMiddleware',
'django.middleware.clickjacking.XFrameOptionsMiddleware']

Traceback:
File "/usr/lib/python3/dist-packages/django/core/handlers/base.py" in get_response
132. response = wrapped_callback (request, *callback_args, **callback_kwargs)
File "/usr/lib/python3/dist-packages/django/views/generic/base.py" in view
71. return self.dispatch(request, *args, **kwargs)
File "/usr/share/octonet/octonet/mixins.py" in dispatch
105. return super () .dispatch(request, *args, **kw)
File "/usr/lib/python3/dist-packages/django/views/generic/base.py" in dispatch
89. return handler (request, *args, **kwargs)
File "/usr/lib/python3/dist-packages/django/views/generic/base.py" in get
158. context = self.get_context_data (**kwargs)

File "/usr/share/octonet/octonet/views.py" in get_context_data
141. ctx['filesystems'] = root.get ("filesystems")
File "/usr/lib/python3/dist-packages/octofuss/tree.py" in get

50. return self.lget (_tolist (path), **kw)
File "/usr/lib/python3/dist-packages/octofuss/tree.py" in lget
157. return self.tree.lget(self.root + path, **kw)
File "/usr/lib/python3/dist-packages/octofuss/xmlrpc.py" in lget
60. return self._wrap_call (self.server.get, "/".join (path))

File "/usr/lib/python3/dist-packages/octofuss/xmlrpc.py" in _wrap_call
42. raise globals () .get (name, UnknownException) (msg)

Exception Type: UnknownException at /
Exception Value: 'filesystems'

History

#1 - 02/28/2017 01:24 PM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from Christopher R. Gabriel to Marco Marinello

Al momento non e' riproducibile, puoi fornire versioni di entrambi pacchetti e/o commit di riferimento, se utilizzato da sorgenti?

#2 - 02/28/2017 07:19 PM - Marco Marinello
Christopher R. Gabriel ha scritto:

Al momento non e' riproducibile, puoi fornire versioni di entrambi pacchetti e/o commit di riferimento, se utilizzato da sorgenti?

Octonet e quale? Fornisco cid che mi sembra opportuno per ora.

root@server:/usr/share/octonet# git status

Sul branch master

Your branch is up-to-date with 'origin/master'.
nothing to commit, working directory clean
root@server:/usr/share/octonet# git log | head -5
commit 5b43la2e8e3b4bfa22f8£f2059df64d882e7aabae
Author: Christopher R. Gabriel <cgabriel@truelite.it>
Date: Thu Feb 23 21:30:58 2017 +0100

added 118n backend files for dt - close #197

Il tutto gira su server fuss funzionante

root@server:~# uname -a

Linux server 4.9.0-0.bpo.l-amd64 #1 SMP Debian 4.9.2-2~bpo8+1 (2017-01-26) x86_64 GNU/Linux
root@server:~# cat /etc/debian_version

8.7

root@server:~# dpkg -1 fuss-server octofussd python3 python3-django

Voluto=U (non noto)/I (installato)/R (rimosso) /P (rimosso totale)/H (in attesa)

| Stato=Non/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend

|/ Err?=(nessuno) /R (reinstallazione richiesta) (Stato,Err: maiuscolo=grave)

||/ Nome Versione Architettura Descrizione

ii fuss-server 8.0-8 all Fuss Server

ii octofussd 8.0.7-1 all server for remote computer lab admin
istration

ii python3 3.4.2-2 amd64 interactive high-level object-orient

ed language (default python3
ii python3-django 1.8.16-1~bpo8+1 all High-level Python web development fr
amework (Python 3 version)
Non avevo aperto nuova segnalazione perché credevo correlato a dt.

#3 - 02/28/2017 07:22 PM - Christopher R. Gabriel

Marco Marinello ha scritto:
Christopher R. Gabriel ha scritto:

Al momento non e' riproducibile, puoi fornire versioni di entrambi pacchetti e/o commit di riferimento, se utilizzato da sorgenti?

Octonet e quale? Fornisco cio che mi sembra opportuno per ora.

Entrambi era per octonet (frontend) e octofussd (backend) che vedo essere alla precedente.

Aggiorna via apt per octonet 0.2.1-1 e per octofussd 8.0.8-1, fammi sapere se riesci a riprodurlo (io ancora non ci riesco)

#4 - 02/28/2017 07:33 PM - Marco Marinello

Vi era I'aggiornamento anche per python3-octofuss. Fatti tutti.

root@server:~# dpkg -1 octofussd python3-octofuss octonet
Voluto=U (non noto)/I (installato)/R (rimosso)/P (rimosso totale)/H (in attesa)
| Stato=Non/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend

|/ Err?=(nessuno) /R (reinstallazione richiesta) (Stato,Err: maiuscolo=grave)

||/ Nome Versione Architettura Descrizione

+++

ii octofussd 8.0.8-1 all server for remote computer lab admin
istration

ii octonet 0.201=1, all OctoNet

ii python3-octofuss 1.6.5-1 all Python modules to work with Octofuss

Dopo questo aggiornamento il problema & risolto. Nonostante questo faccio un ipotesi. Potrebbe essere che non riesce a generare le statistiche di
utilizzo dello spazio di /home ? In produzione non ho una partizione separata e questo in passato aveva creato problemi.

root@server:~# df -h

File system Dim. Usati Dispon. Uso% Montato su
udev 10M 0 10M 0% /dev

tmpfs 792M 8,8M 783M 2% /run

/dev/sdal 31G 2,66 26G 9% /

tmpfs 2,0G 0 2,0G 0% /dev/shm

tmpfs 5, 0M 0 5, 0M 0% /run/lock
tmpfs 2,06 0 2,0G 0% /sys/fs/cgroup

03/20/2024 3/10



In ogni caso, obbiettivamente, il problema sembrerebbe essere risolto.

#5 - 02/28/2017 07:36 PM - Christopher R. Gabriel

Marco Marinello ha scritto:

Dopo questo aggiornamento il problema ¢ risolto.

lo non sono mai riuscito a vederlo :(

Nonostante questo faccio un ipotesi. Potrebbe essere che non riesce a generare le statistiche di utilizzo dello spazio di /home ?

Non cerca la partizione per nome, ma solo filesystem fisici, non e' legato a "/home" o altro...

In produzione non ho una partizione separata e questo in passato aveva creato problemi.

Di che tipo?
Dove sono stati segnalati?

In ogni caso, obbiettivamente, il problema sembrerebbe essere risolto.

Allora, al netto delle domande di cui sopra, si puo' chiudere, si puo' aprire un ticket specifico se si ripresente e se riproducibile.
#6 - 02/28/2017 07:55 PM - Marco Marinello
Christopher R. Gabriel ha scritto:

Marco Marinello ha scritto:

Dopo questo aggiornamento il problema ¢ risolto.

lo non sono mai riuscito a vederlo (

Non saprei quali altre informazioni fornire...

Nonostante questo faccio un ipotesi. Potrebbe essere che non riesce a generare le statistiche di utilizzo dello spazio di /home ?

Non cerca la partizione per nome, ma solo filesystem fisici, non €' legato a "/home" o altro...

Ok.

In produzione non ho una partizione separata e questo in passato aveva creato problemi.

Di che tipo?

Raise.
Dove sono stati segnalati?

In ogni caso, obbiettivamente, il problema sembrerebbe essere risolto.

Allora, al netto delle domande di cui sopra, si puo' chiudere, si puo' aprire un ticket specifico se si ripresente e se riproducibile.

Concordo.
#7 - 02/28/2017 07:59 PM - Christopher R. Gabriel

Marco Marinello ha scritto:

lo non sono mai riuscito a vederlo :(

Non saprei quali altre informazioni fornire...

Non €' un problema, vedremo in futuro se si ripresenta.

In produzione non ho una partizione separata e questo in passato aveva creato problemi.

Di che tipo?

Raise.

Non ho capito che tipo di problema sia.

Dove sono stati segnalati?

Dicevo, dove sono stati segnalati?

In ogni caso, obbiettivamente, il problema sembrerebbe essere risolto.

Allora, al netto delle domande di cui sopra, si puo' chiudere, si puo' aprire un ticket specifico se si ripresente e se riproducibile.

Concordo.
#8 - 02/28/2017 08:07 PM - Marco Marinello
Christopher R. Gabriel ha scritto:

In produzione non ho una partizione separata e questo in passato aveva creato problemi.

Di che tipo?

Raise.

Non ho capito che tipo di problema sia.

Dove sono stati segnalati?

Dicevo, dove sono stati segnalati?

Probabilmente sto pensando ad una release unofficial, per questo non hai memoria di questi problemi e non risultano segnalazioni al riguardo.
Sembrerebbe essere confermato dall'history git di octofussd.

#9 - 02/28/2017 08:09 PM - Christopher R. Gabriel

Marco Marinello ha scritto:
Christopher R. Gabriel ha scritto:

In produzione non ho una partizione separata e questo in passato aveva creato problemi.

Di che tipo?
Raise.

Non ho capito che tipo di problema sia.

Dove sono stati segnalati?

Dicevo, dove sono stati segnalati?

Probabilmente sto pensando ad una release unofficial, per questo non hai memoria di questi problemi e non risultano segnalazioni al riguardo.
Sembrerebbe essere confermato dall'history git di octofussd.

Non so cosa siano le "release unofficial”, se non ci sono segnalazioni significa quindi che non sono stati segnalati. Ma ancora non €' chiaro quali che
siano questi "problemi", puoi dirmi di piu'? Se sono nella history dei commit, puoi darmi un riferimento a questi? Altrimenti parliamo di niente e si
perde solo tempo..

#10 - 02/28/2017 08:22 PM - Marco Marinello
Christopher R. Gabriel ha scritto:

Non so cosa siano le "release unofficial”,

Versioni modificate da terzi.

se non ci sono segnalazioni significa quindi che non sono stati segnalati. Ma ancora non €' chiaro quali che siano questi "problemi", puoi dirmi di
piu'? Se sono nella history dei commit, puoi darmi un riferimento a questi?

Ricordo un'implementazione che, come in questa versione ufficiale, cercava le percentuali di utilizzo degli FS solo che se /home ad esempio non era
separata, il programma raisava.
Marco Marinello ha scritto:

Probabilmente sto pensando ad una release unofficial, per questo non hai memoria di questi problemi e non risultano segnalazioni al riguardo.
Sembrerebbe essere confermato dall'history git di octofussd.

Deve essere per forza cosi. Octofussd non supportava statistiche sul filesystem fino a questa versione (o sbaglio?).
Christopher R. Gabriel ha scritto:

Altrimenti parliamo di niente e si perde solo tempo..

Infatti, come detto,

Allora, al netto delle domande di cui sopra, si puo' chiudere, si puo' aprire un ticket specifico se si ripresente e se riproducibile.

Il problema per il quale il ticket era stato aperto é risolto.

#11 - 03/01/2017 01:34 AM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso

Marco Marinello ha scritto:
Christopher R. Gabriel ha scritto:

Non so cosa siano le "release unofficial”,

Versioni modificate da terzi.

Ok, allora eventuali problematiche o altro non sono da segnalare qui.

se non ci sono segnalazioni significa quindi che non sono stati segnalati. Ma ancora non e' chiaro quali che siano questi "problemi", puoi
dirmi di piu'? Se sono nella history dei commit, puoi darmi un riferimento a questi?
Ricordo un'implementazione che, come in questa versione ufficiale, cercava le percentuali di utilizzo degli FS solo che se /home ad esempio non
era separata, il programma raisava.

Se hai una riferimento a questa fantomatica implementazione, ok, altrimenti se non €' riferita alla versione distribuita qua, non €' il posto per parlarne,
si perde solo tempo inutilmente (ed €' I'unica cosa che non si puo' rimpiazzare)

Marco Marinello ha scritto:

Probabilmente sto pensando ad una release unofficial, per questo non hai memoria di questi problemi e non risultano segnalazioni al
riguardo. Sembrerebbe essere confermato dall'history git di octofussd.

Deve essere per forza cosi. Octofussd non supportava statistiche sul filesystem fino a questa versione (o sbaglio?).

Come sopra - se non hai problemi con la versione ufficiale ma con versioni di "terzi", segnala pure a loro.
Christopher R. Gabriel ha scritto:

Altrimenti parliamo di niente e si perde solo tempo..

Infatti, come detto,

Allora, al netto delle domande di cui sopra, si puo' chiudere, si puo' aprire un ticket specifico se si ripresente e se riproducibile.

Il problema per il quale il ticket era stato aperto & risolto.

Certo, lo chiudo perche' parlare di "problemi” (senza spiegare quali) riferite a versioni di terzi (quali?) senza ulteriori spiegazione, €' soltanto perdere
tempo.

Per cortesia, in futuro, se vuoi segnalare problemi o altro, sei il benvenuto, ma fallo relativamente a cosa note, precise e riproducibili, altrimenti non
SEervono a nessuno qui.
